import request from '@/utils/request'


// 查询员工补贴  列表
export function listSummary(query) {
  return request({
    url: '/pay/butieEmplyee/summary',
    method: 'get',
    params: query
  })
}

// 检查数据是否存在
export function checkDataExist(data) {
  return request({
    url: '/pay/butieEmplyee/check',
    method: 'post',
    data: data
  })
}

// 按月生成
export function generateBuTieEmpByMonth(data) {
  return request({
    url: '/pay/butieEmplyee/gen',
    method: 'post',
    data: data
  })
}

// 修改补贴和员工联系
export function updateAllbt(data) {
  return request({
    url: '/pay/butieEmplyee/allbt',
    method: 'put',
    data: data
  })
}
